> For the complete documentation index, see [llms.txt](/llms.txt).

# Subscribe to webhooks

**POST** `https://www.iwoca.co.uk/api/lending/v2.2/webhooks/subscriptions/`

## Body
```json
{
  "data": {
    "subscriptions": [
      {
        "url": "https://partner.example.com/iwoca-webhook/application-offered/",
        "webhook_event_type": "application_offered"
      }
    ]
  }
}
```

### Body fields
- `data` (object, required)
- `data.subscriptions` (array, required)
- `data.subscriptions[].url` (string) — Optional override URL for this specific event type. When set, webhooks of this type POST here instead of your base webhook URL. Leave null to use the base URL.
- `data.subscriptions[].webhook_event_type` (string, required) — The name of the webhook, such as: customer_funded, application_offered, application_declined, application_deferred, application_status_changed, application_attributed, indicative_offer_created, prequalification_202505, prequalification_data_file_processed_202510, funding_created_202607

## Responses
### 201 — Subscribed to webhooks

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl https://www.iwoca.co.uk/api/lending/v2.2/webhooks/subscriptions/ \
  --request POST \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {
    "subscriptions": [
      {
        "url": "https://partner.example.com/iwoca-webhook/application-offered/",
        "webhook_event_type": "application_offered"
      }
    ]
  }
}'
```